<?php
get_header();
global $wp_query;
$custom_query_var_key = array_key_first($wp_query->query_vars);
$url_arg = explode('-', $wp_query->query_vars[$custom_query_var_key]);
//echo '<pre>'; print_r($url_arg);

$shortcode_id_post = $url_arg[2];
$vacancy_id = $url_arg[0]; 
$portal_id = get_post_meta( $shortcode_id_post, '_api_portal_id', true );
$developer_key = get_post_meta( $shortcode_id_post, '_api_developer_key', true );
$language_id = get_post_meta( $shortcode_id_post, '_api_language_id', true );
$appdata = [
  'portalId' => $portal_id,
  'developerKey' => $developer_key,
  'vacancyId' => $vacancy_id,
  'keywords' => '',
  'location' => '',
  'categoryId' => '',
  'educationLevelId' => '',
  'languageId' => $language_id,
];
$client = new SoapClient("https://api.hroffice.nl/HROfficeCoreService.asmx?wsdl");        


//echo '<pre>'; print_r($vacancydata);    
?>

<?php
if(strstr($_SERVER['REQUEST_URI'], "apply") == 'apply/'){  

    $respform = $client->GetApplicationByIdAndLanguage($appdata);
    $respformdata = $respform->GetApplicationByIdAndLanguageResult;
    $job_title = $respformdata->Title;
    //echo '<pre>'; print_r($respform);
    $protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://"; 
    $current_url = $protocol . $_SERVER['HTTP_HOST'] . str_replace("apply/", "", $_SERVER['REQUEST_URI']); 
    $apply_privacy_policy_text = get_post_meta( $shortcode_id_post, '_job_apply_privacy_policy_text', true );     
    $apply_privacy_policy_link = get_post_meta( $shortcode_id_post, '_job_apply_privacy_policy_link', true ); 
    $apply_terms_text = get_post_meta( $shortcode_id_post, '_job_apply_terms_text', true );
    $apply_form_title_text = get_post_meta( $shortcode_id_post, '_job_apply_form_title_text', true );
    $apply_form_submit_text = get_post_meta( $shortcode_id_post, '_job_apply_form_submit_text', true );
    $apply_term_condition_msg = get_post_meta( $shortcode_id_post, '_job_apply_term_condition_msg', true );
    $apply_form_back_jobdesc_text = get_post_meta( $shortcode_id_post, '_job_apply_back_to_jobdetail_text', true );

    $list_job_title_color = get_post_meta( $shortcode_id_post, '_list_job_title_color', true );
    $list_job_button_txt_color = get_post_meta( $shortcode_id_post, '_list_job_button_txt_color', true );
    $list_job_button_bg_color = get_post_meta( $shortcode_id_post, '_list_job_button_bg_color', true );
    $list_job_button_hover_color = get_post_meta( $shortcode_id_post, '_list_job_button_hover_color', true ); 

    $plugin_license_status  = get_option( 'hr_office_vacancy_plugin_license_status' );

    if($plugin_license_status == 'valid')
    {   
?>
    <style type="text/css">
        .hroffice-listlayout-form .text-container .form-group .left label{color: <?php echo $list_job_title_color; ?>;}
        .hroffice-listlayout-form .text-container h2{color: <?php echo $list_job_title_color; ?>;}
        .hroffice-listlayout-form .text-container button.btn-apply{background: <?php echo $list_job_button_bg_color; ?>; border-color: <?php echo $list_job_button_bg_color; ?>; color: <?php echo $list_job_button_txt_color; ?>;}
        .hroffice-listlayout-form .text-container .form-group .right .privacy-label, .hroffice-listlayout-form .text-container .form-group .right .privacy-label a{color: <?php echo $list_job_title_color; ?>;}
        .hroffice-listlayout-form .text-container .btn-apply:hover{color: <?php echo $list_job_button_bg_color; ?>;background-color: <?php echo $list_job_button_hover_color; ?>;}
    </style>    
    <div class="hroffice-listlayout-form vacancy-applyform-page">
        <div class="text-center vacancy-summary">
            <div class="container">
                <div class="content">
                    <div class="job-title">                        
                        <h1><?php echo $job_title; ?></h1>
                    </div>
                    <div class="job-des-link">
                        <a class="" href="<?php echo $current_url; ?>">< <?php echo $apply_form_back_jobdesc_text; ?></a>
                    </div>
                </div>
            </div>
        </div>
        <div class="hr-office-form">
            <div class="container">
                <div class="text-container">
                    <h2><?php echo $apply_form_title_text; ?></h2>
                    
                    <form id="hroffice-applyform" method="post" enctype="multipart/form-data">                        
                        <input type="hidden" name="shortcode_id" value="<?php echo $shortcode_id_post; ?>">
                        <input type="hidden" name="vacancy_id" value="<?php echo $vacancy_id; ?>">
                        <?php 
                        $required_fields = [];                        
                        foreach ($respformdata->ReactionFields->AvReactionFields as $fkey => $fval) {
                            $required_text = ''; 
                            if($fval->FieldIsRequired == 1){                                
                                array_push($required_fields, $fval->FieldName);
                                $required_text = '*'; 
                            }
                        ?>
                            <div class="form-group ">
                                <div class="left">
                                    <label for="">                                    
                                        <?php echo $fval->FieldText; ?><span class="field_required"> <?php echo $required_text; ?></span>
                                    </label>
                                </div>                            
                                <div class="right">
                                    <?php if($fval->FieldType == 1): ?>    
                                        <input type="text" class="form-control" id="<?php echo $fval->FieldName; ?>" name="<?php echo $fval->FieldName; ?>" value="">
                                    <?php elseif($fval->FieldType == 5): ?>
                                        <input type="number" min="0" class="form-control" id="<?php echo $fval->FieldName; ?>" name="<?php echo $fval->FieldName; ?>" value="">
                                    <?php elseif($fval->FieldType == 2): ?>
                                        <select name="<?php echo $fval->FieldName; ?>" class="form-control" id="<?php echo $fval->FieldName; ?>">
                                            <?php foreach($fval->FieldValues->FieldValue as $selectval): ?>                                    
                                                <option value="<?php echo $selectval->ValueId; ?>"><?php echo $selectval->ValueText; ?></option>
                                            <?php endforeach; ?>                                        
                                        </select>
                                    <?php elseif($fval->FieldType == 7): ?>
                                        <select name="<?php echo $fval->FieldName; ?>" class="form-control" id="<?php echo $fval->FieldName; ?>">
                                            <?php 
                                            foreach($fval->FieldLanguagesValues->LanguageOptions as $selectkey => $selectval): 
                                                if($selectval->ValueId == $language_id)
                                                { 
                                                    foreach($fval->FieldLanguagesValues->LanguageOptions[$selectkey]->OptionsValue->LanguageValue as $selectlnval)
                                                    {
                                                ?>                                    
                                                        <option value="<?php echo $selectlnval->ValueId; ?>"><?php echo $selectlnval->ValueText; ?></option>
                                            <?php
                                                    } 
                                                }
                                            endforeach; ?>                                        
                                        </select>    
                                    <?php elseif($fval->FieldType == 3): ?>
                                        <textarea class="form-control textarea" name="<?php echo $fval->FieldName; ?>" id="<?php echo $fval->FieldName; ?>"></textarea>  
                                    <?php elseif($fval->FieldType == 6): ?>
                                        <input type="date" class="form-control" id="<?php echo $fval->FieldName; ?>" name="<?php echo $fval->FieldName; ?>"> 
                                    <?php elseif($fval->FieldType == 8 || $fval->FieldType == 4): ?>
                                        <input type="file" class="file-upload-btn" id="<?php echo $fval->FieldName; ?>" name="<?php echo $fval->FieldName; ?>">
                                        <span class="upload-response-<?php echo $fval->FieldName; ?>"></span>
                                    <?php else: ?>
                                        <input type="text" class="form-control" id="<?php echo $fval->FieldName; ?>" name="<?php echo $fval->FieldName; ?>" value="">
                                    <?php endif; ?>    
                                </div>                            
                            </div>
                        <?php    
                        } ?> 

                        <?php 
                        if(isset($respformdata->QuestionsList)):                        
                        foreach ($respformdata->QuestionsList->AvQuestionList as $qkey => $qval) {
                            $required_questn_text = '';

                            if(is_array($respformdata->QuestionsList->AvQuestionList) == 1){
                                //echo 'arrr';
                               $QuestionText = $qval->QuestionText;
                               $AnswerType = $qval->AnswerType;
                               $qestion_field_nm = 'question_'.$qval->QuestionId.'';
                               $QuestionRequired = $qval->QuestionRequired;
                               $AnswersList = $qval->AnswersList->AvAnswer;
                               $onlyOneResult = 'no';
                            }else{
                                //echo 'objj';
                               $QuestionText = $respformdata->QuestionsList->AvQuestionList->QuestionText;
                               $AnswerType = $respformdata->QuestionsList->AvQuestionList->AnswerType;
                               $qestion_field_nm = 'question_'.$respformdata->QuestionsList->AvQuestionList->QuestionId.'';
                               $QuestionRequired = $respformdata->QuestionsList->AvQuestionList->QuestionRequired;
                               $AnswersList = $respformdata->QuestionsList->AvQuestionList->AnswersList->AvAnswer;
                               $onlyOneResult = 'yes';
                            }

                            if($QuestionRequired == 1){                                
                                array_push($required_fields, $qestion_field_nm);
                                $required_questn_text = '*'; 
                            }
                        ?>
                            <div class="form-group ">
                                <div class="left">
                                    <label for="">                                    
                                        <?php echo $QuestionText; ?><span class="field_required"> <?php echo $required_questn_text; ?></span>
                                    </label>
                                </div>                            
                                <div class="right">
                                    <?php if($AnswerType == 1): ?>    
                                        <select name="<?php echo $qestion_field_nm; ?>" class="form-control" id="<?php echo $qestion_field_nm; ?>">
                                            <?php foreach($AnswersList as $selectvalq): ?>                                    
                                                <option value="<?php echo $selectvalq->AnswerId; ?>"><?php echo $selectvalq->AnswerText; ?></option>
                                            <?php endforeach; ?>                                        
                                        </select>
                                    <?php elseif($AnswerType == 4): ?>
                                        <textarea class="form-control textarea" name="<?php echo $qestion_field_nm; ?>" id="<?php echo $qestion_field_nm; ?>"></textarea>
                                    <?php elseif($AnswerType == 2 || $AnswerType == 3): ?>
                                        <?php 
                                        $radioi = 0;
                                        foreach($AnswersList as $selectvalq): ?>                                    
                                            <div>
                                                <input type="radio" class="" id="<?php echo $qestion_field_nm; ?>" <?php if($radioi==0){echo 'checked';} ?> name="<?php echo $qestion_field_nm; ?>" value="<?php echo $selectvalq->AnswerId; ?>"> 
                                                <?php echo $selectvalq->AnswerText; ?>
                                            </div>
                                        <?php 
                                        $radioi++;
                                        endforeach; ?>                                         
                                    <?php else: ?>
                                        <input type="text" class="form-control" id="<?php echo $qestion_field_nm; ?>" name="<?php echo $qestion_field_nm; ?>" value="">
                                    <?php endif; ?>    
                                </div>                            
                            </div>
                        <?php
                            if($onlyOneResult == 'yes'){
                                break;
                            }    
                        } 
                        endif;
                        ?>                        
                        
                        <div class="form-group">
                            <div class="right">
                                <label class="privacy-label">
                                    <input id="privacystatement" class="form-control-checkbox" name="privacystatement" type="checkbox" value="0" onclick="jQuery(this).attr('value', this.checked ? 'yes' : 0)"> <?php echo $apply_terms_text; ?> <a href="<?php echo get_permalink($apply_privacy_policy_link); ?>" target="_blank"><?php echo $apply_privacy_policy_text; ?></a>
                                </label>
                            </div>
                        </div>
                        <?php array_push($required_fields, 'privacystatement'); ?>
                        
                        <div class="form-group">
                            <div class="actions">
                               <button class="btn btn-apply" id="btn-apply"><?php echo $apply_form_submit_text; ?></button>
                               <img class="apply-btn-loader" style="display: none;" src="<?php echo HR_OFFICE_VACANCY_PLUGIN_DIR_URL; ?>assets/img/loader-4.gif">
                            </div>
                        </div>
                        
                    </form>
                </div>
            </div>
        </div>
        
    </div>
    
    <script>
        var formQueries = <?php echo json_encode($required_fields); ?>;
        var apply_term_condition_msg = '<?php echo $apply_term_condition_msg; ?>';
        //console.log(formQueries);
        jQuery('#hroffice-applyform #btn-apply').click(function(e){   
            e.preventDefault();
            var err = '';            
            jQuery.each(formQueries, function(key, value) {                
                if( !jQuery('#hroffice-applyform #'+value+'').val()) {
                    jQuery('#hroffice-applyform #'+value+'').addClass('warning');
                    err += 'yes';
                }else if( jQuery('#hroffice-applyform #'+value+'').val() == 0){
                    jQuery('#hroffice-applyform #'+value+'').addClass('warning');
                    err += 'yes';
                }else{
                    jQuery('#hroffice-applyform #'+value+'').removeClass('warning');
                    err += 'no';
                }

                if( jQuery('#hroffice-applyform .upload-response-'+value+'').length > 0 ){                  
                    if(jQuery('#hroffice-applyform .upload-response-'+value+'').html() != ''){
                        err += 'yes';
                    }else{
                        err += 'no';
                    } 
                }

            });
            //console.log(err.indexOf("yes"));

            if(jQuery('#hroffice-applyform #privacystatement').val() == 0 && err.match(/yes/g) == 'yes'){
                alert(apply_term_condition_msg);
            }

            //referral cookie
            const reff_name = "hro_referral_code_"+<?php echo $vacancy_id; ?>+"=";
            const cDecoded = decodeURIComponent(document.cookie); //to be careful
            const cArr = cDecoded.split('; ');
            let referral_code;
            cArr.forEach(val => {
                if (val.indexOf(reff_name) === 0) referral_code = val.substring(reff_name.length);
            })
            console.log('referral:'+referral_code);

            //form submit
            if(err.indexOf("yes") == -1){ 
                jQuery('.apply-btn-loader').show();               

                var ajaxurl = '<?php echo admin_url('admin-ajax.php'); ?>';
                var formData = new FormData(document.getElementById("hroffice-applyform"));
                formData.append('action', 'action_apply_form_data_send');

                if (typeof referral_code !== 'undefined') {
                  formData.append('referral_code', referral_code);
                }
                
                var thankyouurl = '<?php echo $current_url; ?>/apply/thankyou/';                
                //console.log(formData);
                jQuery.ajax({
                    url : ajaxurl,
                    type: 'POST',
                    data : formData,
                    processData: false,
                    contentType: false,                
                    success: function(response) {                        
                        jQuery('.apply-btn-loader').hide();
                        var returnedData = JSON.parse(response);
                        if(returnedData.Code == 3){      

                            var cookie_name = "<?php echo 'hro_referral_code_'.$vacancy_id; ?>";                            
                            const d = new Date("2022-03-25");
                            d.setTime(d.getTime() + (1 * 24 * 60 * 60 * 1000));
                            let expires = "expires="+d.toUTCString();
                            document.cookie = cookie_name+"=;" + expires + ";path=/";
                                              
                            window.location.href = thankyouurl;
                        }else{
                            alert(returnedData.Message);
                        }
                        
                    }
                });
            }

            

        });

        //Form File upload event
        jQuery('body').on('change','#hroffice-applyform .file-upload-btn', function(e) {        
            e.preventDefault();
            var form_shortcode_id = jQuery("#hroffice-applyform input[name='shortcode_id']").val();
            var field_id = jQuery(this).attr("name");
            var formdata = new FormData();
            var files_data = jQuery(this);
            jQuery.each(jQuery(files_data), function(i, obj) {
                jQuery.each(obj.files,function(j,file){
                    formdata.append('files[' + j + ']', file);
                })
            });
            formdata.append('shortcode_id', form_shortcode_id);
            formdata.append('filenamedata', field_id); 
            formdata.append('action', 'generic_form_upload_files'); 
            jQuery.ajax({
                type: "POST",
                url: '<?php echo admin_url('admin-ajax.php'); ?>',
                data: formdata,
                contentType: false,
                processData: false,
                success: function(response){
                    jQuery('.upload-response-'+field_id+'').html(response); 
                }
            });
        });

    </script>    

<?php
    }else{
        echo '<h4 style="text-align: center;">'.__('Please activate the License first.','hr_office_vacancy_domain').'</h4>';
    }
}elseif(strstr($_SERVER['REQUEST_URI'], "apply/thankyou") == 'apply/thankyou/'){ 
    $protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://"; 
    $current_url = $protocol . $_SERVER['HTTP_HOST'] . str_replace("apply/thankyou/", "", $_SERVER['REQUEST_URI']);
    $apply_thankyou_page_text = get_post_meta( $shortcode_id_post, '_job_apply_thankyou_page_text', true );  
    $apply_form_back_jobdesc_text = get_post_meta( $shortcode_id_post, '_job_apply_back_to_jobdetail_text', true );

    $plugin_license_status  = get_option( 'hr_office_vacancy_plugin_license_status' );
    if($plugin_license_status == 'valid')
    {
?>
    <div class="hroffice-listlayout-thankyou vacancy-thankyou-page hroffice-listlayout-form">        
        <div class="text-center vacancy-summary">
            <div class="container">
                <div class="content">
                    <div class="job-title">                        
                        <?php echo $apply_thankyou_page_text; ?>
                    </div>
                    <div class="job-des-link">
                        <a class="" href="<?php echo $current_url; ?>">< <?php echo $apply_form_back_jobdesc_text; ?></a>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php
    }else{
        echo '<h4 style="text-align: center;">'.__('Please activate the License first.','hr_office_vacancy_domain').'</h4>';
    }    
}else{ 

    $resp = $client->GetJobByIdAndLanguage($appdata);
    $vacancydata = $resp->GetJobByIdAndLanguageResult;

    $vacancy_name = $vacancydata->Name;
    $vacancy_content = $vacancydata->ContentText;
    $vacancy_apply_text = get_post_meta( $shortcode_id_post, '_job_apply_button_text', true );
    $selected_job_detail_page_data = get_post_meta( $shortcode_id_post, '_api_selected_job_detail_page_data', true );
    $vacancy_listing_page = get_post_meta( $shortcode_id_post, '_listing_page_selected', true );
    $vacancy_back_listing = get_post_meta( $shortcode_id_post, '_job_data_back_to_listing_text', true );
    $job_detail_above_content = get_post_meta( $shortcode_id_post, '_job_detail_above_content', true );
    $job_detail_below_content = get_post_meta( $shortcode_id_post, '_job_detail_below_content', true );
    $job_detail_sidebar_below_content = get_post_meta( $shortcode_id_post, '_job_detail_sidebar_below_content', true );


    $protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://"; 
    $current_url = $protocol . $_SERVER['HTTP_HOST'] . strtok($_SERVER['REQUEST_URI'], '?');

    $list_job_title_color = get_post_meta( $shortcode_id_post, '_list_job_title_color', true );
    $list_job_button_txt_color = get_post_meta( $shortcode_id_post, '_list_job_button_txt_color', true );
    $list_job_button_bg_color = get_post_meta( $shortcode_id_post, '_list_job_button_bg_color', true );
    $detail_job_title_size = get_post_meta( $shortcode_id_post, '_detail_job_title_size', true );
    $list_job_button_hover_color = get_post_meta( $shortcode_id_post, '_list_job_button_hover_color', true );

    $plugin_license_status  = get_option( 'hr_office_vacancy_plugin_license_status' );

    if($plugin_license_status == 'valid')
    {
?>
    <style type="text/css">
        .vacancy-detail-page .vacancy-right-detail .detail-list, .vacancy-detail-page .vacancy-right-detail .sidebar-content-area, .vacancy-detail-page .vacancy-top-area-detail, .vacancy-detail-page .vacancy-bottom-area-detail{color: <?php echo $list_job_title_color; ?>;}
        .vacancy-detail-page .vacancy-right-detail .detail-list li h4{color: <?php echo $list_job_title_color; ?>;}
        
        .vacancy-detail-page .vacancy-left-detail{color: <?php echo $list_job_title_color; ?>;}
        .vacancy-detail-page .apply-button a{background-color: <?php echo $list_job_button_bg_color; ?>; color: <?php echo $list_job_button_txt_color; ?>; border-color: <?php echo $list_job_button_bg_color; ?>}
        .vacancy-detail-page .vacancy-left-detail .view-other-vacancy a{color: <?php echo $list_job_title_color; ?>;}
        .vacancy-detail-page .apply-button a:hover{color: <?php echo $list_job_button_bg_color; ?>;background-color: <?php echo $list_job_button_hover_color; ?>;}
        .vacancy-detail-page .vacancy-left-detail h1{font-size: <?php echo $detail_job_title_size; ?>px; color: <?php echo $list_job_title_color; ?>;}
        .vacancy-detail-page .vacancy-left-detail h1, .vacancy-detail-page .vacancy-left-detail h2, .vacancy-detail-page .vacancy-left-detail h3, .vacancy-detail-page .vacancy-left-detail h4, .vacancy-detail-page .vacancy-left-detail h5{color: <?php echo $list_job_title_color; ?>;}
    </style>
    <?php
        $referral_code_parameter = get_post_meta( $shortcode_id_post, '_job_apply_referral_code_parameter', true );
        if($_GET[$referral_code_parameter]){                    
        ?>
            <script type="text/javascript">
                var cookie_name = "<?php echo 'hro_referral_code_'.$vacancy_id; ?>";
                var cookie_value = "<?php echo $_GET[$referral_code_parameter]; ?>";
                const d = new Date();
                d.setTime(d.getTime() + (1 * 24 * 60 * 60 * 1000));
                let expires = "expires="+d.toUTCString();
                document.cookie = cookie_name+"="+cookie_value+";" + expires + ";path=/";                
                //console.log(document.cookie);
            </script> 
        <?php    
        }
    ?>
    <section class="hroffice-listlayout vacancy-detail-page">
        <?php
        $findonstring = array(" ","/"); 
        $catlist_img_meta_key = '_api_job_data_category_list_image_'.str_replace($findonstring, '_', $vacancydata->CategoryList->string);
        $api_job_data_category_list_image = get_post_meta( $shortcode_id_post, $catlist_img_meta_key, true );
        if($api_job_data_category_list_image){
            $category_list_image = wp_get_attachment_image_url($api_job_data_category_list_image, 'full');
        }else{
            $category_list_image = HR_OFFICE_VACANCY_PLUGIN_DIR_URL.'assets/img/job-placeholder-new.jpg';
        } 

        $detailpage_top_category_image = get_post_meta( $shortcode_id_post, '_job_data_detailpage_top_category_image', true );
        if($detailpage_top_category_image == 'yes'):
        ?>
        <div class="vacancy-top-detail-img">

            <img src="<?php echo $category_list_image; ?>"/>
        </div>
        <?php
        endif; ?>

        <div class="container">

            <?php if($job_detail_above_content): ?>
            <div class="row">
                <div class="vacancy-top-area-detail">
                    <?php echo $job_detail_above_content; ?>
                </div>
            </div>
            <?php endif; ?>

            <div class="row">
                <div class="vacancy-left-detail">
                    <h1><?php echo $vacancy_name; ?></h1>

                    <div class="description-area">                       
                      <?php echo $vacancy_content; ?>                      
                    </div>
                    
                    <div class="buttonholder">
                        <?php if($vacancy_apply_text): ?>
                          <div class="apply-button"><a href="<?php echo $current_url; ?>apply"><?php echo $vacancy_apply_text; ?></a></div>
                        <?php endif; ?>
                        <div class="view-other-vacancy"><a href="<?php echo get_permalink($vacancy_listing_page); ?>"><?php echo $vacancy_back_listing; ?></a></div>
                    </div>
                </div>
                <div class="vacancy-right-detail">
                    <?php if($vacancy_apply_text): ?>
                    <div class="apply-button">
                      <a href="<?php echo $current_url; ?>apply"><?php echo $vacancy_apply_text; ?></a>
                    </div>
                    <?php endif; ?>

                    <ul class="detail-list">
                      <?php
                      if($selected_job_detail_page_data): 
                        foreach ($selected_job_detail_page_data as $value_name){ 
                            //print_r($value_name);
                            if($value_name == 'RegionsList'){
                                $val_data = $vacancydata->RegionsList->string;
                            }elseif($value_name == 'IndustryList'){
                                $val_data = $vacancydata->IndustryList->string;
                            }elseif($value_name == 'CategoryList'){
                                $val_data = $vacancydata->CategoryList->string;
                            }elseif($value_name == 'BeginDate'){
                                $val_data =  date("d-m-Y", strtotime($vacancydata->BeginDate));   
                            }elseif($value_name == 'EndDate'){
                                $val_data =  date("d-m-Y", strtotime($vacancydata->EndDate));   
                            }else{
                                $val_data = $vacancydata->$value_name;
                            }

                            $api_jobdtl_label = get_post_meta( $shortcode_id_post, '_api_job_detail_data_label_'.$value_name.'', true );
                            //echo $api_filter_label;
                            if($api_jobdtl_label){
                                $api_job_dtl_label_name = $api_jobdtl_label;
                            }else{
                                $api_job_dtl_label_name = $value_name;
                            }
                        ?>
                        <li <?php if($val_data == ''){echo 'style="display:none;"';} ?>>
                           <h4><?php echo $api_job_dtl_label_name; ?></h4>
                           <p><?php if($val_data){ echo $val_data; }else{ echo 'N/A'; } ?></p>
                        </li>
                      <?php 
                        }
                      endif;
                      ?>                                    
                    </ul>
                    <div class="sidebar-content-area">
                        <?php echo $job_detail_sidebar_below_content; ?>
                    </div>
                </div>
            </div>

            <?php if($job_detail_below_content): ?>
            <div class="row">
                <div class="vacancy-bottom-area-detail">
                    <?php echo $job_detail_below_content; ?>
                </div>
            </div>
            <?php endif; ?>
            
        </div>
    </section>

<?php 
    }else{
        echo '<h4 style="text-align: center;">'.__('Please activate the License first.','hr_office_vacancy_domain').'</h4>';
    }
}
?>

<?php get_footer(); ?>